package org.ow2.bonita.pvm.internal.wire.descriptor;

import org.ow2.bonita.pvm.env.EnvironmentFactory;
import org.ow2.bonita.pvm.internal.wire.WireContext;

/**
 * the {@link EnvironmentFactory} of the current {@link WireContext}.
 * 
 * @author Tom Baeyens
 * @author Guillaume Porcher (documentation)
 */
public class EnvironmentFactoryDescriptor extends AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  EnvironmentFactory environmentFactory;

  public EnvironmentFactoryDescriptor(EnvironmentFactory environmentFactory) {
    this.environmentFactory = environmentFactory;
  }

  public Object construct(WireContext wireContext) {
    return environmentFactory;
  }
}
